PeopleForce
Employees

Deprecated

Company API v1 is deprecated and will be removed in a future release. Migrate to a newer version — v4 is the latest. Use the version switcher in the header.

List employees employment statuses

Deprecated

GET
/api/public/v1/employees/{employee_id}/employment_statuses

Path Parameters

employee_id*integer
Formatint64

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/public/v1/employees/0/employment_statuses"
{  "data": [    {      "id": 0,      "effective_on": "2019-08-24",      "employment_type": {        "id": 0,        "name": "string"      },      "probation_policy": {        "id": 0,        "name": "string"      },      "working_pattern": {        "id": 0,        "name": "string"      },      "comment": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}